from pickle import BUILD
from playlist import serializers
from rest_framework.views import APIView
from rest_framework.response import Response
from playlist.serializers import ProfileSerializer, ProfileUpdateSerializer, BackgroundSerializer
from playlist.models import Profile, Background

class ProfileDetailView(APIView):
    def get(self, request, id):
        profile = Profile.objects.get(pk=id)
        serializer = ProfileSerializer(profile)
        return Response(serializer.data)

    def put(self, request, id):
        profile = Profile.objects.get(pk=id)
        serializer = ProfileUpdateSerializer(profile, data=request.data)
        serializer.is_valid()
        serializer.save()
        return Response(serializer.data)
        #return Response()

class BackgroundListView(APIView):
    def get(self, request):
        backgrounds = Background.objects.all()
        serializer = BackgroundSerializer(backgrounds, many=True)
        return Response(serializer.data)

class BackgroundDetailView(APIView):
    def get(self, request, id):
        background = Background.objects.get(pk=id)
        serializer = BackgroundSerializer(background)
        return Response(serializer.data)
